@import url(https://cdn.jsdelivr.net/npm/firacode@6.2.0/distr/fira_code.css);

:root {
    --backgroundColor: #2e3440;
    --backgroundImg: url(https://picsum.photos/1920/1080);
    --foregroundColor: #d8dee9;
    --fgRGB: rgb(216, 222, 223);
    --fgRGBA: rgba(216, 222, 223, 0.8);
    --bgRGB: rgb(46, 52, 64);
    --bgRGBA: rgba(46, 52, 64, 0.8);
}

body {
    font-family: 'Fira Code', monospace;
    background: var(--backgroundColor);
    background-size: cover !important;
    margin: 0%;
    padding: 0%;
    height: 100vh;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--foregroundColor);
    overflow: hidden;
}

.content {
    background: var(--bgRGBA);
    border-radius: 10px; 
    padding: 1em 1em 1em 1em;
    box-shadow: 0.1em 0.1em 0.1em var(--fgRGBA);
    display: flex;
    flex-direction: column;
}

.bookmarks_arrow {
    margin-left: auto;
    margin-right: auto;
    transition: 300ms all;
}

.bookmarks_arrow * img {
    width: 1em !important;
}

.bookmark_options {
    height: 0;
    transition: 300ms all;
    visibility: hidden;
    filter: opacity(0%);
    padding: 0;
    margin: 0;
    list-style-type: none;
    text-align: center;
}

.bookmark_options li {
    display: inline-block;
    transition: 300ms;
    padding: 0 0.2em;
    width: 2.4em;
}

.bookmark_options li:hover {
    transform: scale(1.2);
}

.bookmark_options img{
    transition: 300ms;
}

.bookmark_options img:hover {
    transform: scale(1.2);
}

#bookmarks_dropdown {
    display: none;
}

.bookmark_options.active {
    height: 1.8em !important;
    visibility: visible !important;
    filter: opacity(100%) !important;
}

#bookmarks_dropdown:checked ~ .bookmarks_arrow {
    transform: rotate(180deg);
}

.centerBox {
    position: fixed;
    left: 8vw;
    top: 15vh;
    display: flex;
    visibility: visible;
    background: var(--bgRGB);
    border-radius: 10px; 
    box-shadow: 0.1em 0.1em 0.1em var(--fgRGBA);
    width: 84vw;
    height: 70vh;
    flex-direction: column;
    overflow-x: hidden;
    overflow-y: auto;
    text-align: center;
    z-index: 10;
}

.overlay {
    visibility: visible;
    position: fixed;
    z-index:9;
    top:0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.5);
}

.copyButton {
    position: absolute;
    right: 4em;
    width: 2em;
    height: 2em;
    top: 6em;
    transition: all 300ms;
}

.copyButton:hover {
    transform: scale(1.3);
}

.copyButton:hover * .hint{
  visibility: visible !important;
  width: auto;
}

#settingsParagraph {
    width: auto;
    word-wrap: break-word;
    overflow-y: hidden;
    height: 120vh;
    padding: 2em 2em;
    text-align: justify !important;
}

.bookmarkInputs {
    background: #4c566a;
    border-radius: 10px;
    display: flex;
    flex-flow: column wrap;
    align-content: flex-start;
    width: auto;
    margin: 1em 2em;
    padding: 2em 0;
    flex: 1 1 auto;
    gap: 1em;
}

.bookmarkInputs input[type="text"] {
    margin-left: 8em;;
}

.saveIcon {
    position: absolute;
    left: 80%;
    top: 1.6em;
    height: 1.8em;
    width: 1.8em;
    transition: all 300ms;
}

.saveIcon:hover {
    transform: scale(1.2);
}

.settingsFadein {
    animation-name: fadein;
    animation-duration: 300ms;
    animation-iteration-count: 1;
    animation-timing-function: linear; 
}

.settingsFadein.fadeout {
    animation-name: fadeout;
}

@keyframes fadein {
    from {
        filter: opacity(0%);
    }
    to {
        filter: opacity(100%);
    }
}

@keyframes fadeout {
    from {
        filter: opacity(100%);
    }
    to {
        filter: opacity(0%);
    }
}

.bookmarkInputs * input {
    align-self: flex-start;
}

.text {
    background: #4c566a;
    border-radius: 10px;
    width: auto;
    margin: 1em 2em;
}

.settingsCross {
    position: absolute;
    left: 90%;
    top: 1.6em;
    height: 1.8em;
    width: 1.8em;
    transition: all 300ms;
}

.settingsCross:hover {
    transform: scale(1.2);
}

#greeting{
    margin-top: 2vw;
    font-size: 2vw;
    text-align: center;
    font-size: 2rem;
}

#time {
    margin-left: 2vw;
    margin-right: 2vw;
    font-size: 3rem;
    font-weight: bold;
    text-align: center;
    text-shadow: 0px 4px 4px var(--fgRGBA);
}

#bookmarks {
    margin-top: 1em;
    padding: 0%;
    list-style-type: none;
    text-align: center;
}

#bookmarks li {
    display: inline-block;
    transition: 0.3s;
    padding: 0 0.2em;
}

#bookmarks li:hover {
    transform: scale(1.2);
}

#bookmarks img {
    width: 2.4em;
}

.hint {
    visibility: hidden;
    width: auto;
    background-color: #3b4252df;
    color: var(--foregroundColor);
    text-align: center;
    border-radius: 6px;
    top: 3.2em;
    left: -1em;
    padding: 0.4em 0.4em 0.4em 0.4em;
    font-size: 0.7rem !important;
    position: absolute;
    z-index: 1;
    margin-top: 0;
}

#bookmarks li:hover * .hint{
  visibility: visible;
}

.sidebar {
    display: flex;
    flex-direction: column;
    background: var(--bgRGBA);
    gap: 0 1em;
    width: 16em;
    padding: 0 2em;
    position: fixed;
    height: 100vh;
    left: -20em;
    transition: all 300ms ease-in-out;
}

.sidebar * span {
    color: var(--foregroundColor);
    font-size: 0.8em !important;
    width: 100%;
    overflow: hidden;
}

.flex {
    display: flex;
}

#sidebar_check {
    display: none;
}

#sidebar_check:checked ~ .sidebar {
    left: 0 !important;
}

#sidebar_check:checked ~ .sidebar_cog {
    animation-name: spin;
    animation-duration: 300ms;
    animation-iteration-count: 1;
    animation-timing-function: linear; 
}

.sidebar_cog {
    background: transparent;
    position: absolute;
    transition: all 300ms ease-in-out;
    top: 1.2em;
    left: 1.2em;
    width: 2em;
    z-index: 3;

    animation-name: reverse-spin;
    animation-duration: 300ms;
    animation-iteration-count: 1;
    animation-timing-function: linear; 
}

@keyframes spin {
    from {
        transform:rotate(0deg);
    }
    to {
        transform:rotate(360deg);
    }
}

@keyframes reverse-spin {
    from {
        transform:rotate(360deg);
    }
    to {
        transform:rotate(0deg);
    }
}

.container {
    display: inline-block;
    transition: 0.3s;
    width: 100%;
}

.container:hover {
    transform: scale(1.2);
}

.container img {
    width: 1.6em;
    padding-left: 40%;
}

.container:hover * .hint{
  visibility: visible !important;
  width: auto;
}

form {
    display: inline-block;
    vertical-align: middle;
    width: auto;
}

form > * {
    color: var(--foregroundColor);
    margin-bottom: 0.8em;
}

input[type="text"] {
    background-color: var(--backgroundColor);
    color: var(--foregroundColor);
    height: 2.4em;
    width: auto;
    font-size: 13px;
    border-radius: 5px;
    border: none;
    vertical-align: top;
    outline: none;
    margin-left: auto;
    padding: 0 0.5em;
    box-shadow: 0.1em 0.1em 0.2em var(--fgRGBA);
}

input[type="text"]:focus {
    border: 2px solid var(--foregroundColor) !important;
}

select {
    background-color: var(--backgroundColor);
    color: var(--foregroundColor);
    height: 2.4em;
    width: 14.6em;
    font-size: 13px;
    border-radius: 5px;
    border: none;
    vertical-align: top;
    outline: none;
    padding: 0 0.5em;
    box-shadow: 0.1em 0.1em 0.2em var(--fgRGBA);
}

button {
    background-color: var(--backgroundColor);
    color: var(--foregroundColor);
    height: 2.4em;
    width: 14.6em;
    font-size: 13px;
    border-radius: 5px;
    border: none;
    vertical-align: top;
    outline: none;
    padding: 0 0.5em;
    box-shadow: 0.1em 0.1em 0.2em var(--fgRGBA);
    display: flex;
    margin-top: 1em;
    text-align: center;
    transition: 300ms all;

    img {
        position: absolute;
        left: -1em;
    }
}

button:hover {
    transform: scale(1.2);
}
